﻿@font-face {
    font-family: 'OpenSans';
    src: url('../fonts/latin/opensans.eot'); /* IE9 Compat Modes */
    src: url('../fonts/latin/opensans.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
    url('../fonts/latin/opensans.woff') format('woff'), /* Modern Browsers */
    url('../fonts/latin/opensans.ttf') format('truetype'), /* Safari, Android, iOS */
    url('../fonts/latin/opensans.svg#opensans') format('svg'); /* Legacy iOS */
    font-weight: lighter;
    font-style: normal;
    font-variant: normal;
    font-stretch: condensed;
}

@font-face {
    font-family: 'self-bold';
    src: url('../fonts/self/mg-bold.eot'); /* IE9 Compat Modes */
    src: url('../fonts/self/mg-bold.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
    url('../fonts/self/mg-bold.woff') format('woff'), /* Modern Browsers */
    url('../fonts/self/mg-bold.ttf') format('truetype'); /* Safari, Android, iOS */
    font-weight: 100;
    font-style: normal;
    font-variant: normal;
    font-stretch: condensed;
    *unicode-range: U+06F9;
}

@font-face {
    font-family: 'self-regular';
    src: url('../fonts/self/mg-regular.eot'); /* IE9 Compat Modes */
    src: url('../fonts/self/mg-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
    url('../fonts/self/mg-regular.woff') format('woff'), /* Modern Browsers */
    url('../fonts/self/mg-regular.ttf') format('truetype'); /* Safari, Android, iOS */
    font-weight: 100;
    font-style: normal;
    font-variant: normal;
    font-stretch: condensed;
    *unicode-range: U+06F9;
}

@font-face {
    font-family: 'self-light';
    src: url('../fonts/self/mg-light.eot'); /* IE9 Compat Modes */
    src: url('../fonts/self/mg-light.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
    url('../fonts/self/mg-light.woff') format('woff'), /* Modern Browsers */
    url('../fonts/self/mg-light.ttf') format('truetype'); /* Safari, Android, iOS */
    font-weight: 100;
    font-style: normal;
    font-variant: normal;
    font-stretch: condensed;
    *unicode-range: U+06F9;
}

* {
    font-weight: lighter;
    font-family: 'self-regular';
    color: #000;
    font-size: 10pt;
}

body {
    zoom:95% !important;
}

.modal-backdrop {
    width:100% !important;
    height:110vh !important;
}
a {
    text-decoration:none;
}

.btn-light {
    border:1px solid #ddd !important;
}

select.form-control {
    padding:4px 6px 2px 6px !important;
    height:32px !important;
}

select.form-control optgroup {
    background-color:#f5f5f5;
    font-weight:bold;
}

select.form-control option {
    background-color:#fff;
}

.fld-starter {
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important; 
    border-right: none !important;
}

.fld-middle {
    border-radius: 0 !important;
    border-right: none !important;
}

.fld-finisher {
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}

.modal-dialog {
    max-width: 100% !important;
    width: auto !important;
}

.newscroll::-webkit-scrollbar {
    width: 10px !important;
}

.newscroll::-webkit-scrollbar-track {
    background: #f1f1f1 !important;
}

.newscroll::-webkit-scrollbar-thumb {
    background: #888 !important;
}

    .newscroll::-webkit-scrollbar-thumb:hover {
        background: #555 !important;
    }

input[type=text]::placeholder { color: #6c757d; }
input[type=text]::-webkit-input-placeholder { color: #6c757d; } /* Chrome, Edge */
input[type=text]:-ms-input-placeholder { color: #6c757d; }      /* IE */
input[type=text]::-moz-placeholder { color: #6c757d; opacity:1; } /* Firefox */

::placeholder {
    opacity: 0.4 !important;
}

.table thead tr th {
    font-size:0.9em !important;
    padding:3px 4px !important;
}
.table tbody tr td {
    font-size:0.9em !important;
    padding:3px 4px !important;
}
.table tbody tr td button {
    font-size:1em !important;
    padding:2px 2px 3px 2px !important;
}

thead tr th {
    background-color: #eee !important;
    padding: 6px 5px !important;
    vertical-align: middle;
    text-align:center;
}

tbody tr td {
    padding: 4px 5px !important;
    vertical-align: middle;
    text-align:center;
}

.table-bordered thead tr th,
.table-bordered tbody tr td {
    border: 1px solid #ccc;
}

.table-hover tbody tr:hover td {
    background-color: #444 !important;
    color: #ffd800;
}

.table-hover tbody tr:hover td button {
    background-color: #ffd800 !important;
    color: #444 !important;
}
.table-hover tbody tr:hover td button i {
    color: #444 !important;
}
.table-hover tbody tr:hover td label {
    color: #ffd800 !important;
}
.table-hover tbody tr:hover td div.into-label {
    color: #ffd800 !important;
}

.table-hover tbody tr:hover td select {
    background-color: #444 !important;
    color: #ffd800 !important;
}
.table-hover tbody tr:hover td select option,
.table-hover tbody tr:hover td select optgroup {
    background-color: #fff !important;
}

.table thead tr th.wo-rl-pad {
    padding-left:0 !important;
    padding-right:0 !important;
}

tbody tr td button.intable {
    *background-color: #f5f5f5;
    *padding: 1px 4px 2px 4px !important;
    padding: 3px 0 !important;
    border-radius: 5px;
    border: none;
    font-size:9pt !important;
    width:100% !important;
    line-height:19px;
}
tbody tr td button.intable-manager {
    padding: 4px 5px 4px 5px !important;
    border-radius: 5px;
    font-size:10pt !important;
    width:100% !important;
    line-height:19px;
}

tbody tr td div.intable-group {
    width:100% !important;
}
tbody tr td button.intable-group-main {
    *padding: 1px 4px 2px 4px !important;
    padding: 2px 0 4px 0 !important;
    font-size:9pt !important;
    width:100% !important;
    border-top-left-radius:5px;
    border-bottom-left-radius:5px;
    border: none;
}
tbody tr td button.intable-group-sub {
    *padding: 3px 4px 0 4px !important;
    padding: 4px 0 2px 0 !important;
    width:30% !important;
    border: none;
    border-left:1px solid #ddd;
    border-top-right-radius:5px;
    border-bottom-right-radius:5px;
}

.table-hover tbody tr:hover td button.intable,
.table-hover tbody tr:hover td button.intable-group-main,
.table-hover tbody tr:hover td button.intable-group-sub {
    background-color: #ffd800 !important;
    color:#000;
    border-left:1px solid #d8ba11;
}

    .table-hover tbody tr:hover td button.intable i {
        color: #000 !important;
    }
    
.table-hover tbody tr:hover td a.link,  
.table-hover tbody tr:hover td i.icon {
    color: #ffd800 !important;
}

button.intable-manager::after,
.dropdown-toggle.intable::after {
    display: none;
}

.nav-link {
    color: #000;
}

    .nav-link:hover,
    .dropdown-item:hover {
        background-color: #ffe65a;
        color: #000;
    }

ul.nav a {
    padding: 5px;
}

.nav-link {
    padding: 12px 9px 10px 9px !important;
}

.dropdown-menu li .dropdown-item {
    padding: 5px 20px;
}

.nav-link i {
    font-size: 16pt !important;
    vertical-align: middle !important;
    margin-top: -3px !important;
}

a.btnsublnk {
    padding: 5px !important;
    border-top: 1px dotted #ddd;
    /*margin-top:-3px;*/
}

.subpage-top-desc {
    background-color: #ffe558;
    padding: 5px 15px;
    font-weight: bold;
    border-bottom: 1px solid #ccc;
}
.subpage-top-return-btn {
    font-size: 11pt;
    cursor: pointer;
    margin-top: 2px;
    color:#000;
}
.subpage-top-return-btn:hover {
    color:#0a00ff;
}
.subpage-top-form {
    background-color: #f7f7f7;
    padding: 7px 10px;
    border-bottom: 1px solid #ccc;
}
.subpage-top-form-after-tab {
    background-image: linear-gradient(to top, #f1f1f1 , #fff);
    padding: 10px 10px 8px 10px;
    border-bottom: 1px solid #ccc;
}
.empty-tab {
    background-color: transparent !important;
    width: 15px !important;
    padding: 0 !important;
}
.nav-tabs .nav-link {
    padding:8px 10px !important;
    background-color:#dee2e6;
    margin-left:3px;
}
.form-divider {
    padding-top:1px;
    border-top:1px dotted #ccc;
    margin-top:15px;
    margin-bottom:10px;
}

.rowselected{
    background-color: #ffd800 !important;
    color: #222 !important;
    font-weight: bold !important;
}

label {
    margin-bottom:3px !important;
}

.without-style {
    border:none !important;
    box-shadow: none !important;
    border-radius:0 !important;
}

.btn-default {
    border:1px solid #ddd !important;
    background-color:#f9f9f9 !important;
}

.btn-default:hover {
    background-color:#f0f0f0 !important;
}

input[type=number].ws::-webkit-inner-spin-button,
input[type=number].ws::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/*Flash Element*/
.flash{
    -webkit-animation: flash linear 1s infinite;
    animation: flash linear 1.5s infinite;
    border:2px solid #ff0000 !important;
    font-size:10pt !important;
    font-weight:bold !important;
    color:#b90000 !important;
    background-color:#f1f1f1 !important;
    cursor:pointer !important;
}
.flash2{
    -webkit-animation: flash2 linear 1s infinite;
    animation: flash2 linear 1.5s infinite;
    border:none !important;
    background-color:#ffd800 !important;
    cursor:pointer !important;
}
.flash3{
    -webkit-animation: flash3 linear 1s infinite;
    animation: flash3 linear 1.5s infinite;
    border:none !important;
    background-color:#1af20a !important;
    cursor:pointer !important;
}
.flash4{
    -webkit-animation: flash4 linear 2s infinite;
    animation: flash4 linear 1.5s infinite;
    border:none !important;
    color:#ff0000 !important;
    font-weight:bold !important;
}
.flash5{
    -webkit-animation: flash5 linear 2s infinite;
    animation: flash5 linear 1.5s infinite;
    color:#fff !important;
}
.flash6{
    -webkit-animation: flash5 linear 2s infinite;
    animation: flash6 linear 1.5s infinite;
}
@-webkit-keyframes flash {
	0% { opacity: 1; } 
    10% { opacity: 1; } 
    20% { opacity: 0.2; } 
    30% { opacity: 0.3; } 
	40% { opacity: 0.4; }
    50% { opacity: 0.5; } 
    60% { opacity: 0.6; } 
    70% { opacity: 0.7; } 
    80% { opacity: 0.8; } 
    90% { opacity: 0.9; } 
	100% { opacity: 1; }
}
@keyframes flash {
	0% { opacity: 1; } 
    10% { opacity: 1; } 
    20% { opacity: 0.2; } 
    30% { opacity: 0.3; } 
	40% { opacity: 0.4; }
    50% { opacity: 0.5; } 
    60% { opacity: 0.6; } 
    70% { opacity: 0.7; } 
    80% { opacity: 0.8; } 
    90% { opacity: 0.9; } 
	100% { opacity: 1; }
}
@-webkit-keyframes flash2 {
	0% { opacity: 1; } 
    10% { opacity: 1; } 
    20% { opacity: 1; } 
    30% { opacity: 1; } 
	40% { opacity: 0.4; }
    50% { opacity: 0.5; } 
    60% { opacity: 0.6; } 
    70% { opacity: 0.7; } 
    80% { opacity: 0.8; } 
    90% { opacity: 0.9; } 
	100% { opacity: 1; }
}
@keyframes flash3 {
	0% { opacity: 1; } 
    10% { opacity: 1; } 
    20% { opacity: 1; } 
    30% { opacity: 1; } 
	40% { opacity: 0.4; }
    50% { opacity: 0.5; } 
    60% { opacity: 0.6; } 
    70% { opacity: 0.7; } 
    80% { opacity: 0.8; } 
    90% { opacity: 0.9; } 
	100% { opacity: 1; }
}
@keyframes flash4 {
	0% { opacity: 1; } 
    10% { opacity: 1; } 
    20% { opacity: 0.2; } 
    30% { opacity: 0.3; } 
	40% { opacity: 0.4; }
    50% { opacity: 0.5; } 
    60% { opacity: 0.6; } 
    70% { opacity: 0.7; } 
    80% { opacity: 0.8; } 
    90% { opacity: 0.9; } 
	100% { opacity: 1; }
}
@keyframes flash5 {
	0% { opacity: 1; } 
    10% { opacity: 1; } 
    20% { opacity: 0.2; } 
    30% { opacity: 0.3; } 
	40% { opacity: 0.4; }
    50% { opacity: 0.5; } 
    60% { opacity: 0.6; } 
    70% { opacity: 0.7; } 
    80% { opacity: 0.8; } 
    90% { opacity: 0.9; } 
	100% { opacity: 1; }
}
@keyframes flash6 {
	0% { opacity: 1; } 
    10% { opacity: 1; } 
    20% { opacity: 0.2; } 
    30% { opacity: 0.3; } 
	40% { opacity: 0.4; }
    50% { opacity: 0.5; } 
    60% { opacity: 0.6; } 
    70% { opacity: 0.7; } 
    80% { opacity: 0.8; } 
    90% { opacity: 0.9; } 
	100% { opacity: 1; }
}
/*Flash Element*/

/*Badge Animation*/
.btn-badge {
    *float: right;
    width: 15px;
    height: 15px;
    line-height: 15.5px;
    background: #FF5D5D;
    font-size: 9px;
    position: absolute;
    top: -4px;
    border-radius: 100%;
    text-align: center;
    color: #fff;
    font-weight: bold;
}

    .btn-badge:after {
        *float: right;
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        border: 2px solid #fe7e7e;
        opacity: 0;
        border-radius: 100%;
        width: 15px;
        height: 15px;
        animation: sonar 1.5s infinite;
    }

@keyframes sonar {
    0% {
        transform: scale(.9);
        opacity: 1;
    }

    100% {
        transform: scale(2);
        opacity: 0;
    }
}
/*Badge Animation*/

.sw1 {
    margin-left:1px;
}
.sw2 {
    margin-left:2px;
}
.sw3 {
    margin-left:3px;
}
.sw4 {
    margin-left:4px;
}
.sw5 {
    margin-left:5px;
}
.sb {
    font-weight:bold !important;
}

.dropdown-divider {
    margin-top:3px !important;
    margin-bottom:3px !important;
}

.popover-header {
    display:none !important;
}

.mds-bs-dtp-container .table tbody tr td {
    padding:0 !important;
}
.mds-bs-dtp-container .table tbody tr td .table {
    margin-bottom:6px !important;
}
.mds-bs-dtp-container .table tbody tr td .table tbody tr:first-child th {
    border-top-left-radius:5px !important;
    border-top-right-radius:5px !important;
    background-color:#fff !important;
    border-bottom:1px dashed #ccc !important;
    padding:3px 4px 1px 4px !important;
}
.file-upload-new {
    margin-top:-5px;
}
    .file-upload-new .fld-starter {
        width: 60%;
        direction: ltr;
        text-align: left;
        height:31px !important;
    }
    .file-upload-new .fld-middle {
        width: 16%;
        padding: 6px 2px 3px 4px !important;
        background-color:#ffc107 !important;
        border:1px solid #ffc720 !important;
        height:31px !important;
    }
        .file-upload-new .fld-middle i {
            font-size: 11pt;
            color: #000;
        }
    .file-upload-new .fld-finisher {
        width: 18%;
        margin: 0 !important;
        vertical-align:middle !important;
        padding: 7px 4px 6px 7px !important;
        line-height: 20px;
        border-bottom-right-radius:4px !important;
        border-top-right-radius:4px !important;
        background-color:#0d6efd !important;
        border:1px solid #0d6efd !important;
        height:31px !important;
        cursor:pointer;
    }
    .file-upload-new .fld-finisher i {
        font-size: 10pt;
        color:#fff !important;
    }

.set-row-padding-10 > [class*="col-"] {
    padding-left: 10px !important;
    padding-right: 10px !important;
}

.alert-red {
    background-color: #c0392b !important;
    border:1px solid #c0392b !important; 
}

.alert-orange {
    background-color: #e67e22 !important;
    border:1px solid #e67e22 !important; 
}

.alert-yellow {
    background-color: #f1c40f !important;
    border:1px solid #f1c40f !important; 
}